local _G = getfenv(0)

function Skinner:VanasKoS()


	if self.db.profile.TexturedTab then
		self:SecureHook(VanasKoSGUI, "Update", function()
		self:setInactiveTab(VanasKoSFrameTab1)
		self:setInactiveTab(VanasKoSFrameTab2)
		self:setActiveTab(_G["VanasKoSFrameTab"..VanasKoSFrame.selectedTab])
			end)
	end
	
	self:keepRegions(VanasKoSFrameChooseListDropDown, {4,5}) -- N.B. regions 4 & 5 are text
	self:moveObject(VanasKoSFrameChooseListDropDown, nil, nil, "+", 10)
	self:moveObject(VanasKoSListFrameSyncButton, "+", 5, "+", 13)
	self:keepRegions(VanasKoSGuildsListFrame, {})
	self:keepRegions(VanasKoSListScrollFrame, {})
	self:keepRegions(VanasKoSPlayersListFrame, {})
	self:moveObject(VanasKoSListScrollFrame, "+", 30, "+", 10)
	self:skinScrollBar(VanasKoSListScrollFrame)
	self:moveObject(VanasKoSListFrameListButton1, "-", 10, "+", 14)
	self:keepRegions(VanasKoSListFrame, {})
	VanasKoSFrame:SetWidth(VanasKoSFrame:GetWidth() * FxMult)
	VanasKoSFrame:SetHeight(VanasKoSFrame:GetHeight() * FyMult)
	self:moveObject(VanasKoSFrameTitleText, nil, nil, "+", 10)
	self:moveObject(VanasKoSFrameCloseButton, "+", 28, "+", 8)
--	self:moveObject(VanasKoSListFrameAddPlayerButton, "-", 10, "-", 70)
--	self:moveObject(VanasKoSListFrameAddEntryButton, "-", 10, "-", 70)
	self:moveObject(VanasKoSListFrameAddButton, "-", 10, "-", 70)
	self:keepRegions(VanasKoSFrame, {6})
	self:applySkin(VanasKoSFrame, nil)

	self:keepRegions(VanasKoSPlayersListFrameToggleTab1, {7,8})
	self:keepRegions(VanasKoSPlayersListFrameToggleTab2, {7,8})
	self:keepRegions(VanasKoSGuildsListFrameToggleTab1, {7,8})
	self:keepRegions(VanasKoSGuildsListFrameToggleTab2, {7,8})
	self:moveObject(VanasKoSPlayersListFrameToggleTab1, nil, nil, "+", 10)
	self:moveObject(VanasKoSGuildsListFrameToggleTab1, nil, nil, "+", 10)
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSPlayersListFrameToggleTab1, nil, 0)
	else self:applySkin(VanasKoSPlayersListFrameToggleTab1) end
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSPlayersListFrameToggleTab2, nil, 0)
	else self:applySkin(VanasKoSPlayersListFrameToggleTab2) end
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSGuildsListFrameToggleTab1, nil, 0)
	else self:applySkin(VanasKoSGuildsListFrameToggleTab1) end
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSGuildsListFrameToggleTab2, nil, 0)
	else self:applySkin(VanasKoSGuildsListFrameToggleTab2) end
	self:moveObject(_G["VanasKoSPlayersListFrameToggleTab1".."Text"], "+", 0, "+", 5)
	self:moveObject(_G["VanasKoSPlayersListFrameToggleTab2".."Text"], "+", 0, "+", 5)
	self:moveObject(_G["VanasKoSPlayersListFrameToggleTab1".."HighlightTexture"], "-", 2, "+", 7)
	self:moveObject(_G["VanasKoSPlayersListFrameToggleTab2".."HighlightTexture"], "-", 2, "+", 7)
	self:moveObject(_G["VanasKoSGuildsListFrameToggleTab1".."Text"], "+", 0, "+", 5)
	self:moveObject(_G["VanasKoSGuildsListFrameToggleTab2".."Text"], "+", 0, "+", 5)
	self:moveObject(_G["VanasKoSGuildsListFrameToggleTab1".."HighlightTexture"], "-", 2, "+", 7)
	self:moveObject(_G["VanasKoSGuildsListFrameToggleTab2".."HighlightTexture"], "-", 2, "+", 7)

	self:keepRegions(VanasKoSConfigurationFrame, {})
	self:skinEditBox(VanasKoSConfigNotifyInterval, {9})
	self:moveObject(VanasKoSConfigNotifyInterval, "-", 7, nil, nil)
	self:keepRegions(VanasKoSAboutFrame, {1,2,3})

	self:keepRegions(VanasKoSFrameTab1, {7,8})
	self:keepRegions(VanasKoSFrameTab2, {7,8})
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSFrameTab1, nil, 0)
	else self:applySkin(VanasKoSFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(VanasKoSFrameTab2, nil, 0)
	else self:applySkin(VanasKoSFrameTab2) end
	self:moveObject(VanasKoSFrameTab1, "+", 0, "-", 70)
	self:moveObject(VanasKoSFrameTab2, "+", 8, "+", 0)
	
	self:applySkin(VanasKoS_WarnFrame)
	self:Hook(VanasKoS_WarnFrame, "SetBackdropColor", function(r, g, b, a)
		end, true)

end
